<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.aeontronix.maven</groupId>
        <artifactId>aeontronix-oss-parent-pom</artifactId>
        <version>1.0.7</version>
    </parent>

    <groupId>com.aeontronix.genesis</groupId>
    <artifactId>genesis-templating</artifactId>
    <version>1.0.0-beta8-SNAPSHOT</version>
    <name>Genesis project templating framework</name>
    <description>Advanced project template technology</description>
    <url>https://gitlab.com/aeontronix/oss/genesis-templating</url>

    <organization>
        <name>Aeontronix</name>
        <url>http://www.aeontronix.com</url>
    </organization>

    <developers>
        <developer>
            <name>Dev Team</name>
            <organization>Aeontronix</organization>
        </developer>
    </developers>

    <issueManagement>
        <system>Github</system>
        <url>https://gitlab.com/aeontronix/oss/genesis-templating/issues</url>
    </issueManagement>

    <scm>
        <url>scm:git:git@gitlab.com:aeontronix/oss/genesis-templating.git</url>
        <connection>scm:git:git@gitlab.com:aeontronix/oss/genesis-templating.git</connection>
        <developerConnection>scm:git:git@gitlab.com:aeontronix/oss/genesis-templating.git</developerConnection>
    </scm>

    <licenses>
        <license>
            <name>Apache License 2.0</name>
            <url>https://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
    </licenses>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.fasterxml.jackson</groupId>
                <artifactId>jackson-bom</artifactId>
                <version>2.14.0</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <distributionManagement>
        <site>
            <id>local</id>
            <url>file:public</url>
        </site>
    </distributionManagement>

    <dependencies>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>1.7.36</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.dataformat</groupId>
            <artifactId>jackson-dataformat-yaml</artifactId>
        </dependency>
        <dependency>
            <groupId>com.aeontronix.aeon-commons</groupId>
            <artifactId>aeon-commons</artifactId>
            <version>2.0.0-beta10</version>
        </dependency>
        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
            <version>2.3.31</version>
        </dependency>
        <dependency>
            <groupId>info.picocli</groupId>
            <artifactId>picocli</artifactId>
            <version>4.7.0</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.13.2</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-simple</artifactId>
            <version>1.7.36</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-compress</artifactId>
            <version>1.21</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>23.0.0</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
